Bug 171176 - [ATK] atk_table_cell_get_position() should return values of aria-rowindex and aria-colindex, if present
Summary: [ATK] atk_table_cell_get_position() should return values of aria-rowindex and...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All Linux
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-04-22 16:46 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2019-05-02 16:17 PDT (History)
10 users (show)

See Also:


Attachments
Patch (6.06 KB, patch)
2017-09-26 11:39 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2017-04-22 16:46:24 PDT
For ATK, support for aria-rowindex and aria-colindex requires:
1. Expose the values via the "rowindex" and "colindex" object attributes
2. Returning the values via atk_table_cell_get_position()

See:
* https://rawgit.com/w3c/aria/master/core-aam/core-aam.html#ariaColIndex
* https://rawgit.com/w3c/aria/master/core-aam/core-aam.html#ariaRowIndex
Comment 1 Radar WebKit Bug Importer 2017-04-22 16:46:41 PDT
<rdar://problem/31775666>
Comment 2 Joanmarie Diggs (irc: joanie) 2017-05-04 08:49:28 PDT
Updating the summary because the object attributes are already done.
Comment 3 Joanmarie Diggs (irc: joanie) 2017-09-26 11:39:52 PDT
Created attachment 321851 [details]
Patch
Comment 4 chris fleizach 2017-09-26 17:53:44 PDT
Comment on attachment 321851 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=321851&action=review

> Source/WebCore/accessibility/atk/WebKitAccessibleInterfaceTableCell.cpp:126
> +            rowIndex = columnRowRange.first;

this should be columRowRange.second right?
Comment 5 Joanmarie Diggs (irc: joanie) 2017-09-26 18:00:53 PDT
(In reply to chris fleizach from comment #4)
> Comment on attachment 321851 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=321851&action=review
> 
> > Source/WebCore/accessibility/atk/WebKitAccessibleInterfaceTableCell.cpp:126
> > +            rowIndex = columnRowRange.first;
> 
> this should be columRowRange.second right?

The index/location is the range's first; the span/length is its second.
Comment 6 WebKit Commit Bot 2017-09-27 02:45:39 PDT
Comment on attachment 321851 [details]
Patch

Clearing flags on attachment: 321851

Committed r222551: <http://trac.webkit.org/changeset/222551>
Comment 7 WebKit Commit Bot 2017-09-27 02:45:40 PDT
All reviewed patches have been landed.  Closing bug.